com.smartgwt.client.types

## Enum DeviceMode

- java.lang.Object
- - java.lang.Enum<DeviceMode>
  - - com.smartgwt.client.types.DeviceMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DeviceMode>

      public enum DeviceMode
      extends java.lang.Enum<DeviceMode>
      implements ValueEnum

  Possible layout modes for UI components that are sensitive to the device type being used (a.k.a. "responsive design"). See for example `SplitPane.deviceMode`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DESKTOP` mode intended for desktop browsers.
    `HANDSET` mode intended for handset-size devices (phones).
    `TABLET` mode intended for tablet-size devices.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DeviceMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeviceMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HANDSET

          public static final DeviceMode HANDSET

      mode intended for handset-size devices (phones). Generally only one UI panel will be shown at a time.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "handset".

    - #### TABLET

          public static final DeviceMode TABLET

      mode intended for tablet-size devices. Generally, up to two panels are shown side by side in "landscape" `PageOrientation`, and only one panel is shown in "portrait" orientation.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "tablet".

    - #### DESKTOP

          public static final DeviceMode DESKTOP

      mode intended for desktop browsers. Three or more panels may be shown simultaneously.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "desktop".

  - ### Method Detail

    - #### values

          public static DeviceMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeviceMode c : DeviceMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeviceMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`